summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Chris Abela <kristofru@gmail.com>2014-12-05 23:18:39 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-12-05 23:18:39 +0700
commit8c649d01c6b4d4a01be1544cff97f953c5d45628 (patch)
treefa3a5944c4a686d865e213f627e20f743fce4854 /system
parentd65860cb0b7e91dbd40e4d7143a790c9e95bb7ce (diff)
downloadslackbuilds-8c649d01c6b4d4a01be1544cff97f953c5d45628.tar.gz
slackbuilds-8c649d01c6b4d4a01be1544cff97f953c5d45628.tar.xz
system/davfs2: Updated for version 1.5.2 + new maintainer.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/davfs2/README2
-rw-r--r--system/davfs2/davfs2.SlackBuild12
-rw-r--r--system/davfs2/davfs2.info10
-rw-r--r--system/davfs2/doinst.sh1
4 files changed, 11 insertions, 14 deletions
diff --git a/system/davfs2/README b/system/davfs2/README
index fb60cc7743..ac75c77e1b 100644
--- a/system/davfs2/README
+++ b/system/davfs2/README
@@ -4,7 +4,7 @@ provides the ability to access such resources like a typical filesystem,
allowing for use by standard applications with no built-in support for WebDAV.
Before running this SlackBuild, define a davfs2 group and a davfs2 user. The
-davfs2 user shall have davfs2 as its initial login group, shall not have a
+davfs2 user shall have davfs2 as its initial login group, shall not have no
shell and the home directory shall be /var/cache/davfs. Examples:
# groupadd -g 230 davfs2
diff --git a/system/davfs2/davfs2.SlackBuild b/system/davfs2/davfs2.SlackBuild
index ff82e60f45..35c65dfaab 100644
--- a/system/davfs2/davfs2.SlackBuild
+++ b/system/davfs2/davfs2.SlackBuild
@@ -5,6 +5,7 @@
# Copyright (c) 2008, Justin H Haynes <justin@justinhaynes.com>
# Copyright (c) 2012 Chris Abela, Malta
# Copyright 2014 Ryan P.C. McQuen, WA, ryan.q@linux.com
+# Copyright 2014 Chris Abela, Malta
#
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
@@ -21,7 +22,7 @@
# Modified by Robby Workman <rworkman@slackbuilds.org>
PRGNAM=davfs2
-VERSION=${VERSION:-1.4.7}
+VERSION=${VERSION:-1.5.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -44,14 +45,14 @@ OUTPUT=${OUTPUT:-/tmp}
# davfs2 user & group *MUST* exist before package creation
# See http://slackbuilds.org/uid_gid.txt for current recomendations.
-if ! grep ^$DAVFS2_GROUP: /etc/group > /dev/null 2>&1; then
+if ! grep -q "^$DAVFS2_GROUP:" /etc/group; then
echo "$0: Error: DAVFS2 group ($DAVFS2_GROUP) doesn't exist."
echo "$0: Try creating one with: \
# groupadd -g 230 $DAVFS2_GROUP"
exit 1
fi
-if ! grep ^$DAVFS2_USER: /etc/passwd > /dev/null 2>&1; then
+if ! grep -q "^$DAVFS2_USER:" /etc/passwd; then
echo "$0: Error: DAVFS2 user ($DAVFS2_USER) doesn't exist."
echo "$0: Try creating one with: \
# useradd -u 230 -d /var/cache/davfs2 -g $DAVFS2_GROUP -s /bin/false $DAVFS2_USER"
@@ -102,12 +103,9 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-# Manpages go to the wrong place regardless of configure, so we'll move them:
-mv $PKG/usr/share/man $PKG/usr
-
# Let's not clobber the system config files
mv $PKG/etc/davfs2/davfs2.conf $PKG/etc/davfs2/davfs2.conf.new
mv $PKG/etc/davfs2/secrets $PKG/etc/davfs2/secrets.new
diff --git a/system/davfs2/davfs2.info b/system/davfs2/davfs2.info
index 1fc748e35d..677227d9aa 100644
--- a/system/davfs2/davfs2.info
+++ b/system/davfs2/davfs2.info
@@ -1,10 +1,10 @@
PRGNAM="davfs2"
-VERSION="1.4.7"
+VERSION="1.5.2"
HOMEPAGE="http://savannah.nongnu.org/projects/davfs2"
-DOWNLOAD="http://ftp.cc.uoc.gr/mirrors/nongnu.org/davfs2/davfs2-1.4.7.tar.gz"
-MD5SUM="c75f9d7d260e7364362b89beba2b3186"
+DOWNLOAD="http://ftp.cc.uoc.gr/mirrors/nongnu.org/davfs2/davfs2-1.5.2.tar.gz"
+MD5SUM="376bc9346454135cba78afacbcb23f86"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Ryan P.C. McQuen"
-EMAIL="ryan.q@linux.com"
+MAINTAINER="Chris Abela"
+EMAIL="kristofru@gmail.com"
diff --git a/system/davfs2/doinst.sh b/system/davfs2/doinst.sh
index 73ce3793de..c246ac8b14 100644
--- a/system/davfs2/doinst.sh
+++ b/system/davfs2/doinst.sh
@@ -13,4 +13,3 @@ config() {
config etc/davfs2/davfs2.conf.new
config etc/davfs2/secrets.new
-